// Code generated by mockery v1.0.0. DO NOT EDIT.

package mocks

import domain "sticker-app/domain"
import mock "github.com/stretchr/testify/mock"

// StickerUseCase is an autogenerated mock type for the StickerUseCase type
type StickerUseCase struct {
	mock.Mock
}

// GetTrendingStickers provides a mock function with given fields:
func (_m *StickerUseCase) GetTrendingStickers() ([]*domain.Sticker, error) {
	ret := _m.Called()

	var r0 []*domain.Sticker
	if rf, ok := ret.Get(0).(func() []*domain.Sticker); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*domain.Sticker)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
